=== debian/changelog ===
looking-glass (0+b3+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Lennart Weller <lhw@ring0.de>  Sun, 28 Mar 2021 16:15:39 +0200
