=== client/renderers/EGL/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	shader/fps.vert
 	shader/fps.frag
 	shader/fps_bg.frag
+	shader/help.vert
+	shader/help.frag
+	shader/help_bg.frag
 	shader/alert.vert
 	shader/alert.frag
 	shader/alert_bg.frag
@@ -31,9 +34,13 @@
 	shader/splash_logo.frag
 )
 
+make_defines(
+	"${CMAKE_CURRENT_SOURCE_DIR}/shader/desktop_rgb.frag"
+	"${CMAKE_CURRENT_BINARY_DIR}/shader/desktop_rgb.def.h"
+)
+
 add_library(renderer_EGL STATIC
 	egl.c
-	dynprocs.c
 	egldebug.c
 	shader.c
 	texture.c
@@ -41,10 +48,12 @@
 	desktop.c
 	cursor.c
 	fps.c
+	help.c
 	draw.c
 	splash.c
 	alert.c
 	${EGL_SHADER_OBJS}
+	"${EGL_SHADER_INCS}/desktop_rgb.def.h"
 )
 
 target_link_libraries(renderer_EGL
