=== debian/changelog ===
looking-glass (0+b4+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Lennart Weller <lhw@ring0.de>  Thu, 26 Aug 2021 22:01:34 +0200
