=== debian/watch ===
version=3
opts=dversionmangle=s/(0\+|\+dfsg\.\d)//,filenamemangle=s/.+\/(a|B)(\d\S*)\.tar\.gz/looking-glass-$1$2\.tar\.gz/ \
	https://github.com/gnif/LookingGlass/releases .*/(a|B)(\d\S*)\.tar\.gz
